org.eclipse.jetty.server

## Class ShutdownMonitor

- java.lang.Object
- - org.eclipse.jetty.server.ShutdownMonitor

-     public class ShutdownMonitor
      extends Object

  Shutdown/Stop Monitor thread.

  This thread listens on the port specified by the STOP.PORT system parameter (defaults to -1 for not listening) for request authenticated with the key given by the STOP.KEY system parameter (defaults to "eclipse") for admin requests.

  If the stop port is set to zero, then a random port is assigned and the port number is printed to stdout.

  Commands "stop" and "status" are currently supported.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ShutdownMonitor.ShutdownMonitorThread` ShutdownMonitorThread Thread for listening to STOP.PORT for command to stop Jetty.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShutdownMonitor` | `getInstance()`
    `String` | `getKey()`
    `int` | `getPort()`
    `ServerSocket` | `getServerSocket()`
    `protected boolean` | `isAlive()`
    `boolean` | `isExitVm()`
    `void` | `setDebug(boolean flag)`
    `void` | `setExitVm(boolean exitVm)`
    `void` | `setKey(String key)`
    `void` | `setPort(int port)`
    `protected void` | `start()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ShutdownMonitor getInstance()

    - #### getKey

          public String getKey()

    - #### getPort

          public int getPort()

    - #### getServerSocket

          public ServerSocket getServerSocket()

    - #### isExitVm

          public boolean isExitVm()

    - #### setDebug

          public void setDebug(boolean flag)

    - #### setExitVm

          public void setExitVm(boolean exitVm)

    - #### setKey

          public void setKey(String key)

    - #### setPort

          public void setPort(int port)

    - #### start

          protected void start()
                        throws Exception

      Throws:
        `Exception`

    - #### isAlive

          protected boolean isAlive()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2016 Mort Bay Consulting. All Rights Reserved.